# -*- encoding: utf-8 -*-
# stub: rack-state 0.0.3 ruby lib

Gem::Specification.new do |s|
  s.name = "rack-state".freeze
  s.version = "0.0.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Clint Pachl".freeze]
  s.date = "2014-04-21"
  s.description = "Rack::State is middleware that securely stores and manages object state.\n\nApplications use the Manager API to set, get, and delete state of any object\nthat requires persistence in a stateless environment.\n\nRack::State is similar to Rack::Session, but provides state management for\nmultiple objects with independent control of the visibility, security, and\nstorage of each object's state.\n".freeze
  s.email = "pachl@ecentryx.com".freeze
  s.homepage = "http://ecentryx.com/gems/rack-state".freeze
  s.licenses = ["ISC".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.2".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Secure and Modular State Management".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rack>.freeze, [">= 1.5"])
    s.add_development_dependency(%q<bacon>.freeze, [">= 1.2"])
  else
    s.add_dependency(%q<rack>.freeze, [">= 1.5"])
    s.add_dependency(%q<bacon>.freeze, [">= 1.2"])
  end
end
